// Buildscript
// 
// erstellt Scilib-GEO Bibliotheken, Hilfedateien und stellt die
// Funktionen in Scilab zur Verfgung.
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

mode(-1);
GEOlib_DIR = get_absolute_file_path('loader.sce');
%GEOlib_DIR = get_absolute_file_path('builder.sce');
chdir(%GEOlib_DIR);

// setzen von Variablen
%GEOlib_version = read(%GEOlib_DIR+'VERSION',1,1,'(a)');
if (~isdef('GEOlib_LANGUAGE')) then
  GEOlib_LANGUAGE = 'eng';
end;

mprintf("\n--------------------------------------\n");
mprintf("   Building Scilib-GEO version %s\n", %GEOlib_version);
mprintf("--------------------------------------\n\n");

// erzeugen der Libs
  if isdir('sci_gateway') then
    chdir('sci_gateway');
    exec('buildsci_gateway.sce');
    chdir(%GEOlib_DIR);
  end

  if isdir('macros') then
    chdir('macros');
    exec('buildallmacros.sce');
    chdir(%GEOlib_DIR);
    genlib('GEOlib_ui', dirname(%GEOlib_DIR+"ui/"), %t);
  end

  mprintf("\n       ---------------------------------\n\n");
// erzeugen der Hilfedateien
  if isdir('help') then
    chdir('help');
    exec('buildallhelp.sce');
    chdir(%GEOlib_DIR);
  end

  mprintf("\n       ---------------------------------\n\n");

// Zwischenvariablen aufrumen
  clear get_absolute_file_path isdir genlib
  mode(0);
