//--------------------------------------------------------------
// Erzeugt smtliche Hilfedateien in den Verzeichnissen /help/<lang>
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------
lines(0);
mode(-1);                                                       //force silent execution

Directories = ['phys', 'geometrie', 'gps', 'util'];

CurrentDirectory = get_absolute_file_path('buildallhelp.sce');  //get the absolute path of this file

deDirectory = CurrentDirectory +'de/';
engDirectory = CurrentDirectory +'eng/';

// erzeugen der Hilfe (deutsch)
chdir(deDirectory);
for i=1:size(Directories,2) do
  if isdir(Directories(i)) then
    myDir = deDirectory + Directories(i);
    mtitle = 'Scilib-GEO '+Directories(i);
    mprintf("       - Creation of <help/de/%s>\n", Directories(i));
    chdir(Directories(i));
    //add_help_chapter(mtitle, myDir);                 //add help chapter
    xmltohtml(myDir, mtitle); //, 'html.xsl', 'all');
    chdir(deDirectory);
  end
end
chdir(CurrentDirectory);

// creates the help files (english)
chdir(engDirectory);
for i=1:size(Directories,2) do
  if isdir(Directories(i)) then
    myDir = engDirectory + Directories(i);
    mtitle = 'Scilib-GEO '+Directories(i);
    mprintf("       - Creation of <help/eng/%s>\n", Directories(i));
    chdir(Directories(i));
    //add_help_chapter(mtitle, myDir);                 //add help chapter
    xmltohtml(myDir, mtitle); //, 'html.xsl', 'all');
    chdir(engDirectory);
  end
end
chdir(CurrentDirectory);

//clear the variable stack
clear mtitle CurrentDirectory Directories i get_absolute_file_path isdir add_help_chapter xmltohtml deDirectory engDirectory myDir

