// Startscript
// 
// Ldt Scilib-GEO und stellt die Funktionen in Scilab zur Verfgung.
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

mode(-1);
GEOlib_DIR = get_absolute_file_path('loader.sce');
%GEOlib_DIR = get_absolute_file_path('loader.sce');

chdir(%GEOlib_DIR);


// setzen von Variablen
%GEOlib_version = read(GEOlib_DIR+'VERSION',1,1,'(a)');
if (~isdef('GEOlib_LANGUAGE')) then
  GEOlib_LANGUAGE = 'eng';
end

mprintf("\n--------------------------------------\n");
mprintf("   Loading Scilib-GEO version %s\n", %GEOlib_version);
mprintf("--------------------------------------\n");

// laden von Einstellunen und Konstanten
  mprintf("\n -- Laden der Konstanten --\n\n"); 
  exec(%GEOlib_DIR+'etc/const_astro.sce', -1);
  //exec(%GEOlib_DIR+'etc/const_geod.sce', -1);

// laden der Libs
  mprintf("\n -- Laden der Funktionen --\n\n");

  if isdir('sci_gateway') then
    chdir('sci_gateway');
    exec('loader.sce');
    chdir(%GEOlib_DIR);
  end

  if isdir('macros') then
    chdir('macros');
    exec('loadallmacros.sce');
    chdir(%GEOlib_DIR);
  end

// berprfung ob die Toolbox seit dem letzten Build verschoben wurde,
// oder ob es sich um eine Neuinstallation handelt
  lib_path = string(GEOphyslib) ;
  if  ~isdir(lib_path(1)) then exec('builder.sce'), end ; 

// laden der Hilfedateien
  mprintf("\n -- Laden der Hilfedateien --\n\n");

  if isdir('help') then
    chdir('help');
    exec('loadallhelp.sce');
    chdir(%GEOlib_DIR);
  end

  // initialisieren der UI
  load(%GEOlib_DIR+'ui/lib')
  init_ui('restart');

// Zwischenvariablen aufrumen
  clear get_absolute_file_path isdir lib_path;
  mode(0);
