function [weeks, wsecs] = kal2gpsweek(year, month, day, utc)
// Gibt die GPS-Woche fr das eingegebene Datum aus (Zhlung beginnt Sonntag 22.Aug.1999).
//
// keine Gewhr da keine Abfragen
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  weeks=[]; wsecs=[]

// Number of arguments in function call
  [%nargout,%nargin] = argn(0);
  if (%nargin<3) then
    error('Fehler in Funktion kal2gpsweek(..). Zu wenige Argumente, mindestens (y,m,d) sollte angegeben werden.');
    break;
  else
    if (%nargin==3) then
      utc=0;
    end;
  end;

// Display mode
  mode(0);
// Display warning for floating point exception
  ieee(1);

// aktuelles Datum - Gps-Woche Anfangsdatum
// Standardepoche ist Sonntag, der 6.1.1980 um 0:00 UTC
// GPS week rollover ist Sonntag, der 22.8.1999 um 0:00 UTC
// datenum zhlt Tage seit 1.1.0000 (gegenteil datevec)
  weekss = (datenum(year, month, day) - datenum(1999,08,22)) / 7;

  weeks = floor(weekss);

  wsecs = (weekss-weeks)*86400;

endfunction;
