function [z_A,theta_A,zeta_A] = praezwinkel(t)
// Berechnet zu einem angegebenen Datum die 3 Przessionswinkel z_A, theta_A und zeta_A.
//
// in :	t - Zeit in der Epoche J2000
//      [in Julianischen Jahrhunderten (von 36525 Tagen)]
//
// out:	z_A	,theta_A,	zeta_A - Przessionswinkel [dezimalen Graden]
//
// Genauigkeit liegt bei ca. einer Bogensekunde. (matrixfhig)
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

zeta_A  = (2306.2181 .* t + 0.30188 .* t.^2)/3600;
z_A     = (2306.2181 .* t + 1.09468 .* t.^2)/3600;
theta_A = (2004.3109 .* t - 0.42665 .* t.^2)/3600;

endfunction;
