function n_0 = aequiKor(t)
// "Gleichung der quinoktien"
//
// in : t 	- Zeit von der Epoche J2000.0 mit angehngten Dezimalen in UT1
//            [Julianischen Jahrhunderten (von 36525 Tagen)]
// out: n_0 - Der auf der Ekliptik gemessenen Winkelunterschied zwischen
//            wahrem und mittlerem Frhlingspunkt [rad]
//
// (matrixfhig?, experimentell)
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  delta_m=[];
// Display mode
  mode(0);
// Display warning for floating point exception
  ieee(1);

// laden der nutwinkel-Funktion (falls noch nicht geschehen)
  if (~isdef(nutwinkel)) then
    getf(%GEOlib_DIR+'/phys/nutwinkel.sci');
  end;
  
// Einflu des Aufsteigenden Mondknotens (Nherung)
  Omega = 125.0445550 - 1934.1361849*t + 0.0020762.*t.^2 + (t^3)/467410 - (t^4)/60616000;

// Korrektur eingefhrt seit 1. Januar 1997 (JD 2450449.5)
  jd = (t * 36525) + 2451545;
  if (jd <2450449.5) then
    delta = 0;
  else
    delta = 0.00264 .* sin(Omega) + 0.000063 .* sin(2.*Omega);
  end;

// Korrektur durch die Nutation in der Lnge delta_psi und der wahren Schiefe der Ekliptik epsilon_0
  [epsilon_0, delta_epsilon, delta_psi] = nutwink(t);

// "Gleichung des quinoktiums"
  n_0 = delta_psi .* cos(epsilon_0) + delta;

endfunction;