function [y,m,d,ut1] = jd2kal(jd)
// Umrechnung von Julianischem Datum in Kalenderdatum
//
// in : jd  - Julianisches Datum [days,decimal]
//
// out: y   - Jahr
//      m   - Monat
//      d   - Tag
//      ut1 - Uhrzeit in UT1
//
// Die Umwandlung ist exakt. (matrixfhig)
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  y=0; m=0; d=0; ut1=0;

  I = floor(jd + 0.5);
  F = jd + 0.5 - I;

  if (I < 2299161) & (I > 0) then
    A = I;
  elseif (I >= 2299161) then
    X = floor((I - 1867216.25) ./ 36524.25);
    A = I + 1 + X - floor(X ./ 4.0);
  else
    error('Diese Funktion ist nur fr positive Julianische Daten definiert.');
    break;
  end;

  B = A + 1524;
  C = floor((B-122.1)./365.25);
  D = floor(365.25.*C);
  E = floor((B-D)./30.6001);

  dd = B-D-floor(30.6001.*E)+F;

  if E<13.5 then
    m = E - 1;
  else
    m = E - 13;
  end;

  if m>2.5 then
    y = C-4716;
  else
    y = C-4715;
  end;

  d = floor(dd);
  ut1 = (dd-d).*24;

endfunction;
