function jd = kal2jd(y, m, d, ut1)
// Umrechnung eines Kalenderdatums in ein Julianisches Datum.
//
// in : y   - Jahr (ungekuerzt!)
//      m   - Monat
//      d   - Tag
//      ut1 - Weltzeit Greenwich [dezimale Stunden]
//
// out: jd  - Julianisches Datum
//
// Die Umwandlung ist exakt. (matrixfhig)
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  jd=[];

  if or(int(d)~=d | int(m)~=m | int(y)~=y) then
    error("Jahr, Monat und Tag mssen ganzzahlig sein")
  end;
  if or(m(:)>12 | m(:)<1) then
    error("Monat mu zwischen 1 und 12 sein")
  end;
  if or(d(:)>31 | d(:)<1) then
    error("Tag mu zwischen 1 und 31 sein")
  end;

  f=y*0; g=m*0;
  for i=1:size(m,2)
    if (m(i) >=3 & m(i)<=12) then
      f(i) = y(i);
      g(i) = m(i);
    elseif (m(i) == 1) | (m(i) == 2) then
      f(i) = y(i)-1;
      g(i) = m(i)+12;
    else
      error('Monat mu zweischen 1 und 12 sein');
    end;
  end;

  A = 2-floor(f./100.0) + floor(f./400);

  jd = floor(365.25.*f) + floor(30.6001.*(g+1)) + d+A+1720994.5 + ut1./24.0;

endfunction;