function [j2k, mjd] = modJD(y,m,d,ut1)
// modJD liefert die Zeit in der Epoche J2000.0 und das modifizierte JD
//
// in : y   - Jahr [YYYY]
//      m   - Monat
//      d   - Tag
//      ut1 - Weltzeit Greenwich [dezimale Stunden]
//
// out: t   - Zeit in der Epoche J2000
//            [in Julianischen Jahrhunderten (von 36525 Tagen)]
//      mjd - Modifiziertes Julianisches Datum [Tag]
//
// Die Umwandlung ist exakt. (matrixfhig)
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  t=[]; mjd=[];

// Display mode
  mode(1);

// Zwischenvariable JD ist das Julianische Datum
  jd  = kal2jd(y, m, d, ut1); // incl. berprfung der Variablen

  j2k = (jd - 2451545)./36525;
  mjd = jd - 2400000.5;       // modifiziertes JD
  
endfunction;