// Run all Unittests
//
// Voraussetzung: Scilib-GEO mu geladen sein
// 
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

mode(0);

mypath = get_absolute_file_path('run_tests.sce')
if (~isdef('%GEOlib_DIR')) or (%GEOlib_DIR<>mypath) then
  chdir(mypath)
  exec('./loader.sce')
end
GEOlib_DIR = get_absolute_file_path('run_tests.sce');


// laden von noch nicht in Libs enthaltenen Funktionen
getf(%GEOlib_DIR+'/macros/util/leapseconds.sci');

// laden bentigter Testfunktionen
getf(%GEOlib_DIR+'unit tests/print_test_results.sci'); // Ntig zur Ausgabe der Ergebnisse

getf(%GEOlib_DIR+'unit tests/test_julianisch.sci');
getf(%GEOlib_DIR+'unit tests/test_leapseconds.sci');

verbose = 1; // gibt nur einen kurzen berblick ber die Testresultate
//verbose = 2; // gibt einen detailierten berblick ber jeden einzelnen Test
//verbose = 0; // nicht definiert
stim = timer();

mprintf('>-- Run all Tests ---------------------------------------------\n\n');
a1 = test_julianisch(verbose);
a2 = test_leapseconds(verbose);

// Zusammenfassung der Tests
mprintf("\n>-- All Tests completed ------------------- in %.3f sec-------\n", stim-timer());

a0 = [a1; a2];

valids = sum(a0(:,2));
tests = size(a0,1);

txt = msprintf("    [%i of %i] passed", valids, tests);
if valids==tests then
  mprintf("%s\n", txt);
else
  mprintf("  error --->%s\n",txt);
end;

// Zwischenvariablen aufrumen
clear verbose tests valids txt a0 a1 a2 mypath get_absolute_file_path;
clear test_julianisch test_leapseconds;
