function [ret, err]=init_ui(inittype)
// @internal Initialisiert die von Scilib-GEO benutzten UI-Elemente
//
// in:  inittype - start, stop, restart
//
// Copyright (c) area7/Christof Schulze  2008
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
ret=[]; err=1;

// Display mode
mode(0);        // floating point exception produce a warning 
  
if ~havewindow() then
  mprintf("--- Start without UI\n");
  return;
end;

// Auflistung der Meneintrge von Scilib-GEO
menu_map=list();
menu_map(1) = list('Scilib-GEO', ['Scilab Konfigurieren','About'], list(2, 'init_geolib_menu'));


select inittype,
  case "start" then
    //disp("UI start");
    for i=1:size(menu_map),
      addmenu(menu_map(i)(1), menu_map(i)(2), menu_map(i)(3));
    end;
    
  case "restart" then
    //disp("UI restart");
    init_ui('stop');
    init_ui('start');
    return;
  case "stop" then
    //disp("UI stop");
    for i=1:size(menu_map),
      delmenu(menu_map(i)(1));
    end;
  else
    mprintf("--- UI inittype-Fehler");
end

  
endfunction;

